@font-face {
  font-family: "Neutraface Text";
  src: url("NeutrafaceText-Bold.woff2") format("woff2");
  font-style: normal;
  font-display: swap;
}

body {
  background: #000;
  font-family: "Neutraface Text";
  color: #f7df1e;
}
.voice,
.kick,
.clap,
.closed-hats,
.open-hats {
  width: fit-content;
  margin: 0 auto;
}

label {
  display: inline-block;
  height: 90px;
  width: 60px;
  border-radius: 4px;
  border: 1px solid rgb(120, 120, 120);
  background-color: rgb(20, 20, 20);
  margin: 2px;
  position: relative;
}

.voice > label {
  height: 60px;
  width: 60px;
  margin-bottom: 32px;
  border: 1px solid rgb(120, 120, 120);
  background-color: rgb(20, 20, 20);
  &:has(input[disabled]) {
    border: 1px solid rgb(0, 0, 0);
    background-color: rgb(0, 0, 0);
    cursor: none;
  }
  & div,
  & div:before,
  & div:after {
    height: 0;
    width: 0;
  }
}

label div {
  width: 20px;
  height: 5px;
  background-color: rgb(120, 120, 120);
  margin: 16px 20px;
}

label div:before {
  content: "";
  display: block;
  width: 5px;
  height: 7px;
  background-color: rgb(120, 120, 120);
}

label div:after {
  content: "";
  display: block;
  width: 5px;
  height: 7px;
  background-color: rgb(120, 120, 120);
  float: right;
  margin-top: -7px;
}

label:has(input:checked) div,
label:has(input:checked) div:before,
label:has(input:checked) div:after {
  background-color: rgb(20, 20, 20);
}

label input {
  display: none;
}
label:has(input:checked) {
  background-color: #f7df1e;
}
label:has(.active) {
  box-shadow: 0px 0px 8px 4px rgb(255, 0, 34);
}
label:nth-of-type(4n + 1) {
  margin-right: 12px;
}
label:last-of-type {
  margin-right: 0;
}

label:has([data-mute]) {
  width: 30px;
  height: 30px;
  border-radius: 90%;
  margin: 0 12px 32px 0;
}
label:has([data-mute]:checked) {
  background-color: rgb(255, 0, 34);
}
h1 {
  text-align: center;
  text-transform: uppercase;
}
h1 span span {
  color: white;
}

.container {
  margin: 0 auto;
  width: 95vw;
}
.buttons-header {
  display: flex;
  gap: 24px;
  justify-content: center;
  margin-bottom: 32px;
}

.buttons-header .buttons {
  gap: 8px;
  display: flex;
  flex-direction: column;
}

#recordings {
  width: 300px;
  display: flex;
  align-items: center;
  border-radius: 4px;
  border: 1px solid #515151;
}

.buttons-header .button {
  border: 1px solid #515151;
  background-color: rgb(20, 20, 20);
  color: rgb(247, 223, 29);
  padding: 8px 16px 8px 16px;
  border-radius: 4px;
  cursor: pointer;
  width: 150px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* min-height: 55px; */
  /* max-height: 55px; */
  height: 55px;
}

.buttons-footer {
  display: flex;
  justify-content: flex-end;
  margin-right: 126px;
  margin-top: 32px;
  gap: 8px;
}
.buttons-footer .button {
  height: 50px;
  width: 70px;
  background-color: rgb(20, 20, 20);
  color: rgb(247, 223, 29);
  border: 1px solid #515151;
  border-radius: 4px;
}

.buttons-footer .button:active {
  background-color: rgb(130, 14, 29);
}

.buttons-footer .button svg {
  fill: rgb(247, 223, 29);
  height: 20px;
}

@keyframes blinkingBackground {
  0% {
    background-color: rgb(179, 6, 29);
  }
  25% {
    background-color: rgb(130, 14, 29);
  }
  50% {
    background-color: rgb(179, 6, 29);
  }
  75% {
    background-color: rgb(130, 14, 29);
  }
  100% {
    background-color: rgb(179, 6, 29);
  }
}

.button.active {
  animation: blinkingBackground 2s infinite;
}

.button.active svg {
  fill: rgb(0, 0, 0);
}

.button:disabled {
  cursor: not-allowed;
}
.light {
  height: 24px;
  width: 24px;
  display: inline-block;
  border: 1px solid #515151;
  border-radius: 4px;
}
.on .light {
  background-color: rgb(247, 223, 29);
}

div.input {
  text-align: center;
}

[type="range"] {
  display: block;
  margin: 16px 0 8px 0;
  width: 58px;
  accent-color: rgb(247, 223, 29);
}

select {
  height: 55px;
  background-color: rgb(20, 20, 20);
  color: rgb(247, 223, 29);
  padding-left: 12px;
  border-radius: 4px;
  border: 1px solid #515151;
}

.bpm {
  border-radius: 4px;
  height: 116px;
  min-width: 148px;
  font-size: 32px;
  border: 1px solid #515151;
  background-color: rgb(20, 20, 20);
  display: flex;
  align-items: center;
  justify-content: center;
}

audio::-webkit-media-controls-enclosure {
  width: 80%;
  border-radius: 4px !important;
}

audio::-webkit-media-controls-panel {
  background-color: rgb(247, 223, 29);
}

/* knobs */
.knobs {
  display: flex;
  gap: 32px;
}

.knob-surround {
  margin-top: 4px;
  height: 50px;
  aspect-ratio: 1/1;
  border-radius: 50%;
  border: solid 0.25em #0e0e0e;
  margin: 0 auto;
  background: #181818;
  background: -webkit-gradient(linear, left bottom, left top, color-stop(0, #131313), color-stop(1, #666));
  box-shadow: 0px 0px 8px 4px rgb(255, 0, 34);
  cursor: not-allowed;
}
.knob-surround.active {
  box-shadow: 0px 0px 8px 4px rgb(247, 223, 29);
}
.knob {
  position: absolute;
  border-radius: 50%;
  z-index: 10;
}
.hide {
  display: none !important;
}
.karaoke {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0px;
  height: 100px;
  font-size: 4rem;
  span {
    color: rgb(120, 120, 120);
  }
  span:first-child {
    margin-right: 20px;
  }
  span.active {
    color: rgb(247, 223, 29);
  }
}

.at0 {
  color: rgb(47, 247, 29);
  accent-color: rgb(47, 247, 29);
}
